CREATE TABLE ego_change_type_hierarchy[ (
    CHANGE_TYPE_HIERARCHY_ID     NUMBER(18, 0)     NOT NULL,
    CHANGE_TYPE_ID               NUMBER(18, 0)     NOT NULL,
    PARENT_CHANGE_TYPE_ID        NUMBER(18, 0) ,
    CHANGE_TYPE_INTERNAL_NAME    VARCHAR2(120)     NOT NULL,
    PARENT_TYPE_INTERNAL_NAME    VARCHAR2(120) ,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CHANGE_TYPE_LEVEL            NUMBER(9, 0)  ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL
);
